Skip to content
Start here

List Site LANs

client.MagicTransit.Sites.LANs.List(ctx, siteID, query) (*SinglePage[LAN], error)
GET/accounts/{account_id}/magic/sites/{site_id}/lans

Lists Site LANs associated with an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
siteID string

Identifier

maxLength32
query SiteLANListParams
AccountID param.Field[string]

Identifier

maxLength32
ReturnsExpand Collapse
type LAN struct{…}
ID stringoptional

Identifier

maxLength32
BondID int64optional
IsBreakout booloptional

mark true to use this LAN for source-based breakout traffic

IsPrioritized booloptional

mark true to use this LAN for source-based prioritized traffic

Name stringoptional
Nat Natoptional
StaticPrefix stringoptional

A valid CIDR notation representing an IP range.

Physport int64optional
RoutedSubnets []RoutedSubnetoptional
NextHop string

A valid IPv4 address.

Prefix string

A valid CIDR notation representing an IP range.

Nat Natoptional
StaticPrefix stringoptional

A valid CIDR notation representing an IP range.

SiteID stringoptional

Identifier

maxLength32
StaticAddressing LANStaticAddressingoptional

If the site is not configured in high availability mode, this configuration is optional (if omitted, use DHCP). However, if in high availability mode, static_address is required along with secondary and virtual address.

Address string

A valid CIDR notation representing an IP range.

DHCPRelay DHCPRelayoptional
ServerAddresses []stringoptional

List of DHCP server IPs.

DHCPServer DHCPServeroptional
DHCPPoolEnd stringoptional

A valid IPv4 address.

DHCPPoolStart stringoptional

A valid IPv4 address.

DNSServer stringoptional

A valid IPv4 address.

DNSServers []stringoptional
Reservations map[string, string]optional

Mapping of MAC addresses to IP addresses

SecondaryAddress stringoptional

A valid CIDR notation representing an IP range.

VirtualAddress stringoptional

A valid CIDR notation representing an IP range.

VlanTag int64optional

VLAN ID. Use zero for untagged.

List Site LANs

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.MagicTransit.Sites.LANs.List(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    magic_transit.SiteLANListParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "bond_id": 2,
      "ha_link": true,
      "is_breakout": true,
      "is_prioritized": true,
      "name": "name",
      "nat": {
        "static_prefix": "192.0.2.0/24"
      },
      "physport": 1,
      "routed_subnets": [
        {
          "next_hop": "192.0.2.1",
          "prefix": "192.0.2.0/24",
          "nat": {
            "static_prefix": "192.0.2.0/24"
          }
        }
      ],
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "dhcp_relay": {
          "server_addresses": [
            "192.0.2.1"
          ]
        },
        "dhcp_server": {
          "dhcp_pool_end": "192.0.2.1",
          "dhcp_pool_start": "192.0.2.1",
          "dns_server": "192.0.2.1",
          "dns_servers": [
            "192.0.2.1"
          ],
          "reservations": {
            "00:11:22:33:44:55": "192.0.2.100",
            "AA:BB:CC:DD:EE:FF": "192.168.1.101"
          }
        },
        "secondary_address": "192.0.2.0/24",
        "virtual_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "bond_id": 2,
      "ha_link": true,
      "is_breakout": true,
      "is_prioritized": true,
      "name": "name",
      "nat": {
        "static_prefix": "192.0.2.0/24"
      },
      "physport": 1,
      "routed_subnets": [
        {
          "next_hop": "192.0.2.1",
          "prefix": "192.0.2.0/24",
          "nat": {
            "static_prefix": "192.0.2.0/24"
          }
        }
      ],
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "dhcp_relay": {
          "server_addresses": [
            "192.0.2.1"
          ]
        },
        "dhcp_server": {
          "dhcp_pool_end": "192.0.2.1",
          "dhcp_pool_start": "192.0.2.1",
          "dns_server": "192.0.2.1",
          "dns_servers": [
            "192.0.2.1"
          ],
          "reservations": {
            "00:11:22:33:44:55": "192.0.2.100",
            "AA:BB:CC:DD:EE:FF": "192.168.1.101"
          }
        },
        "secondary_address": "192.0.2.0/24",
        "virtual_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}